## org.apache.lucene.index
Class CorruptIndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.index.CorruptIndexException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IndexFormatTooNewException, IndexFormatTooOldException

    public class CorruptIndexException

extends IOException

This exception is thrown when Lucene detects an inconsistency in the index.

See Also:
  Serialized Form

Constructor Summary
`CorruptIndexException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorruptIndexException

    public CorruptIndexException(String message)